petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscInfoAllow

Causes PetscInfo() messages to be printed to standard output.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscInfoAllow(PetscBool flag, const char filename[])

Not Collective, each processor may call this separately, but printing is only Many brturned on if the lowest processor number associated with the PetscObject associated Many brwith the call to PetscInfo() has called this routine. Many br

### Input Parameter

| flag | - PETSC_TRUE or PETSC_FALSE Many br
| filename | - optional name of file to write output to (defaults to stdout) Many br

### Options Database Key

-info [optional filename] -Activates PetscInfoAllow() Many br

Many br

### See Also

PetscInfo()

Level:advanced
Location:src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages